curl --request GET \
--url https://campaigns.pingmee.co.il/campaigns/{id} \
--header 'Cookie: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://campaigns.pingmee.co.il/campaigns/{id}"
headers = {
"Cookie": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://campaigns.pingmee.co.il/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://campaigns.pingmee.co.il/campaigns/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Cookie: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://campaigns.pingmee.co.il/campaigns/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Cookie", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://campaigns.pingmee.co.il/campaigns/{id}")
.header("Cookie", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://campaigns.pingmee.co.il/campaigns/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Cookie"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"contentType": "triggerWorkflow",
"workflowId": "<string>",
"workflowName": "<string>",
"folderId": "1785185339087",
"whenToSendMessage": "now",
"associatedToBusinessId": "<string>",
"isActive": true,
"source": "tags",
"conversationTags": [
{
"id": "<string>",
"title": "<string>",
"color": "<string>",
"associatedTo": "<string>"
}
],
"description": "<string>",
"scheduledAt": 123,
"audienceCountry": "IL",
"status": "pending",
"created": 123,
"lastModified": 123,
"associatedTo": "<string>",
"startedAt": 123,
"completedAt": 123,
"failureReason": "<string>",
"failedAt": 123,
"totalRecipients": 123,
"pendingCount": 123,
"sentCount": 123,
"deliveredCount": 123,
"readCount": 123,
"failedCount": 123,
"optOutCount": 123,
"duplicateMessageCount": 123,
"tooManyRequestsCount": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Get Campaign
Returns a campaign.
curl --request GET \
--url https://campaigns.pingmee.co.il/campaigns/{id} \
--header 'Cookie: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://campaigns.pingmee.co.il/campaigns/{id}"
headers = {
"Cookie": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<api-key>', 'x-api-key': '<api-key>'}};
fetch('https://campaigns.pingmee.co.il/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://campaigns.pingmee.co.il/campaigns/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Cookie: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://campaigns.pingmee.co.il/campaigns/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Cookie", "<api-key>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://campaigns.pingmee.co.il/campaigns/{id}")
.header("Cookie", "<api-key>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://campaigns.pingmee.co.il/campaigns/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Cookie"] = '<api-key>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"contentType": "triggerWorkflow",
"workflowId": "<string>",
"workflowName": "<string>",
"folderId": "1785185339087",
"whenToSendMessage": "now",
"associatedToBusinessId": "<string>",
"isActive": true,
"source": "tags",
"conversationTags": [
{
"id": "<string>",
"title": "<string>",
"color": "<string>",
"associatedTo": "<string>"
}
],
"description": "<string>",
"scheduledAt": 123,
"audienceCountry": "IL",
"status": "pending",
"created": 123,
"lastModified": 123,
"associatedTo": "<string>",
"startedAt": 123,
"completedAt": 123,
"failureReason": "<string>",
"failedAt": 123,
"totalRecipients": 123,
"pendingCount": 123,
"sentCount": 123,
"deliveredCount": 123,
"readCount": 123,
"failedCount": 123,
"optOutCount": 123,
"duplicateMessageCount": 123,
"tooManyRequestsCount": 123
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}https://campaigns.pingmee.co.il.Authorizations
Personal access token from Pingmee Settings → Developer Tools
Business API key from Pingmee Settings → Developer Tools
Path Parameters
Campaign id.
Response
Campaign
- Tags
- Excel
Campaign id.
Campaign name.
Runs a workflow.
triggerWorkflow Workflow id.
Workflow name.
Campaign folder id. In the Pingmee app this is the path segment in https://chat.pingmee.co.il/dashboard/campaigns/{folderId}.
"1785185339087"
now sends immediately. future sends at scheduledAt.
now, future Phone number id the campaign sends from.
Whether the campaign is active.
Send to tagged conversations.
tags Tags.
Show child attributes
Show child attributes
Campaign description.
Send time in Unix milliseconds. Required when whenToSendMessage is future.
ISO country code for numbers without a calling code.
"IL"
Campaign status.
pending, scheduled, inProgress, completed, failed, stopped Created time in Unix milliseconds.
Last modified time in Unix milliseconds.
Business the campaign belongs to.
When sending started, in Unix milliseconds.
When the campaign completed, in Unix milliseconds.
Why the campaign failed.
When the campaign failed, in Unix milliseconds.
Was this page helpful?